function supply_import(form) {
    if (form == undefined) {
        form = { '_csrf': yii.getCsrfToken() };
    } else {
        form = new FormData(form);
    }

    $.ajax({
        url: '/profile/import',
        type: 'post',
        dataType: 'json',
        data: form,
        processData: false,
        contentType: false,
        success: function (data) {
            if (data.main !== undefined) {
                // Обновление документа
                document.getElementsByTagName('main')[0].innerHTML = data.main;
            }
            if (data._csrf !== undefined) {
                $('meta[name=csrf-token]').prop("content", data._csrf);
            }
        },
        error: function (data) {
            if (data.responseJSON.main !== undefined) {
                // Обновление документа
                document.getElementsByTagName('main')[0].innerHTML = data.responseJSON.main;
            }
            if (data.responseJSON._csrf !== undefined) {
                // Обновление документа
                $('meta[name=csrf-token]').prop("content", data.responseJSON._csrf);
            }
        }
    });
};